# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['cranial', 'cranial.listeners', 'cranial.messaging']

package_data = \
{'': ['*'],
 'cranial': ['.mypy_cache/*',
             '.mypy_cache/3.5/*',
             '.mypy_cache/3.5/collections/*',
             '.mypy_cache/3.5/common/*',
             '.mypy_cache/3.5/common/config/*',
             '.mypy_cache/3.5/common/utils/*',
             '.mypy_cache/3.5/concurrent/*',
             '.mypy_cache/3.5/concurrent/futures/*',
             '.mypy_cache/3.5/email/*',
             '.mypy_cache/3.5/firehose/*',
             '.mypy_cache/3.5/http/*',
             '.mypy_cache/3.5/importlib/*',
             '.mypy_cache/3.5/listeners/*',
             '.mypy_cache/3.5/listeners/base/*',
             '.mypy_cache/3.5/listeners/file/*',
             '.mypy_cache/3.5/listeners/stdin/*',
             '.mypy_cache/3.5/logging/*',
             '.mypy_cache/3.5/messaging/*',
             '.mypy_cache/3.5/messaging/base/*',
             '.mypy_cache/3.5/messaging/celery/*',
             '.mypy_cache/3.5/messaging/file/*',
             '.mypy_cache/3.5/messaging/firehose/*',
             '.mypy_cache/3.5/messaging/httpget/*',
             '.mypy_cache/3.5/messaging/httppost/*',
             '.mypy_cache/3.5/messaging/kafka/*',
             '.mypy_cache/3.5/messaging/localdisk/*',
             '.mypy_cache/3.5/messaging/stdout/*',
             '.mypy_cache/3.5/messaging/zmq/*',
             '.mypy_cache/3.5/os/*',
             '.mypy_cache/3.5/pipe/*',
             '.mypy_cache/3.5/requests/*',
             '.mypy_cache/3.5/requests/packages/*',
             '.mypy_cache/3.5/requests/packages/urllib3/*',
             '.mypy_cache/3.5/requests/packages/urllib3/packages/*',
             '.mypy_cache/3.5/requests/packages/urllib3/packages/ssl_match_hostname/*',
             '.mypy_cache/3.5/requests/packages/urllib3/util/*',
             '.mypy_cache/3.5/unittest/*',
             '.mypy_cache/3.5/urllib/*',
             '.mypy_cache/3.5/yaml/*',
             '.mypy_cache/3.5/zmq/*',
             '.mypy_cache/3.6/*',
             '.mypy_cache/3.6/collections/*',
             '.mypy_cache/3.6/concurrent/*',
             '.mypy_cache/3.6/concurrent/futures/*',
             '.mypy_cache/3.6/config/*',
             '.mypy_cache/3.6/email/*',
             '.mypy_cache/3.6/http/*',
             '.mypy_cache/3.6/importlib/*',
             '.mypy_cache/3.6/json/*',
             '.mypy_cache/3.6/listeners/*',
             '.mypy_cache/3.6/listeners/db/*',
             '.mypy_cache/3.6/listeners/stdin/*',
             '.mypy_cache/3.6/logging/*',
             '.mypy_cache/3.6/messaging/*',
             '.mypy_cache/3.6/messaging/base/*',
             '.mypy_cache/3.6/messaging/file/*',
             '.mypy_cache/3.6/messaging/httpspost/*',
             '.mypy_cache/3.6/messaging/stdout/*',
             '.mypy_cache/3.6/os/*',
             '.mypy_cache/3.6/pipe/*',
             '.mypy_cache/3.6/psql/*',
             '.mypy_cache/3.6/requests/*',
             '.mypy_cache/3.6/requests/packages/*',
             '.mypy_cache/3.6/requests/packages/urllib3/*',
             '.mypy_cache/3.6/requests/packages/urllib3/packages/*',
             '.mypy_cache/3.6/requests/packages/urllib3/packages/ssl_match_hostname/*',
             '.mypy_cache/3.6/requests/packages/urllib3/util/*',
             '.mypy_cache/3.6/unittest/*',
             '.mypy_cache/3.6/urllib/*',
             '.mypy_cache/3.6/yaml/*',
             'servicediscovery/*'],
 'cranial.messaging': ['.mypy_cache/*',
                       '.mypy_cache/3.5/*',
                       '.mypy_cache/3.5/base/*',
                       '.mypy_cache/3.5/collections/*',
                       '.mypy_cache/3.5/concurrent/*',
                       '.mypy_cache/3.5/concurrent/futures/*',
                       '.mypy_cache/3.5/email/*',
                       '.mypy_cache/3.5/http/*',
                       '.mypy_cache/3.5/importlib/*',
                       '.mypy_cache/3.5/listeners/*',
                       '.mypy_cache/3.5/listeners/base/*',
                       '.mypy_cache/3.5/listeners/kafka/*',
                       '.mypy_cache/3.5/listeners/zmq/*',
                       '.mypy_cache/3.5/logging/*',
                       '.mypy_cache/3.5/messaging/*',
                       '.mypy_cache/3.5/messaging/base/*',
                       '.mypy_cache/3.5/messaging/firehose/*',
                       '.mypy_cache/3.5/messaging/http/*',
                       '.mypy_cache/3.5/messaging/kafka/*',
                       '.mypy_cache/3.5/messaging/localdisk/*',
                       '.mypy_cache/3.5/messaging/zmq/*',
                       '.mypy_cache/3.5/os/*',
                       '.mypy_cache/3.5/pipe/*',
                       '.mypy_cache/3.5/requests/*',
                       '.mypy_cache/3.5/requests/packages/*',
                       '.mypy_cache/3.5/requests/packages/urllib3/*',
                       '.mypy_cache/3.5/requests/packages/urllib3/packages/*',
                       '.mypy_cache/3.5/requests/packages/urllib3/packages/ssl_match_hostname/*',
                       '.mypy_cache/3.5/requests/packages/urllib3/util/*',
                       '.mypy_cache/3.5/unittest/*',
                       '.mypy_cache/3.5/urllib/*',
                       '.mypy_cache/3.5/yaml/*',
                       'adapters/*',
                       'test/*']}

install_requires = \
['boto3>=1.9,<2.0',
 'cachetools>=3.1.1,<4.0.0',
 'cranial-common>=0.3.0',
 'cranial-datastore>=0.3.3,<0.4.0',
 'docopt>=0.6.2,<0.7.0',
 'psycopg2>=2.6.2,<3.0.0',
 'pyyaml>=5.1,<6.0',
 'recordclass>=0.11.1,<0.12.0',
 'requests-futures>=0.9.7,<0.10.0',
 'smart_open>=1.8.3,<2.0.0',
 'ujson>=1.3.5,<2.0.0',
 'zmq>=0.0.0,<0.0.1']

setup_kwargs = {
    'name': 'cranial-messaging',
    'version': '0.4.0.dev3',
    'description': 'Abstractions for high-level communication between micro-services.',
    'long_description': None,
    'author': 'Matt Chapman et al.',
    'author_email': 'Matt@NinjitsuWeb.com',
    'url': 'https://github.com/tribune/cranial-messaging',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
